Meaningless Drivel is fun!*
The moose likes Web Component Certification (SCWCD/OCPJWCD) and the fly likes Tomact  Configuration Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login
JavaRanch » Java Forums » Certification » Web Component Certification (SCWCD/OCPJWCD)
Bookmark "Tomact  Configuration" Watch "Tomact  Configuration" New topic
Author

Tomact Configuration

Sunita B B
Greenhorn

Joined: Aug 05, 2005
Posts: 7
Hi All,

I want website link which give me simplest way to know how to install and configure Tomcat? Also which version of JDK is compatible with which Tomcat version.How to set ClassPath, etc? In Short I want to do all initial configuration before running any JSP and Servlet. Please help me.

Thanks...
Priya Jothi
Ranch Hand

Joined: Jul 13, 2004
Posts: 168
Hi Sunita,

plz find the below link from where you can download the tomcat.

http://jakarta.apache.org/tomcat/index.html

For classpath set classpath=%classpath%;E:\Tomcat 5.0\common\lib\servlet-api.jar;E:\Tomcat 5.0\common\lib\jsp-api.jar;

Note:change the tomcat directory according to ur installation directory.

I think JDK1.4 should work with almost all the newer versions.
But neway this u juz check it out..

Regards,
Priya.
Sunita B B
Greenhorn

Joined: Aug 05, 2005
Posts: 7
Hi Priya,
Thanks for reply.
I have done configuring with jakarta-tomcat-5.5.9 and j2sdk1.4.0 but getting error.

Can I use jakarta-tomcat-5.5.9 and j2sdk1.4.0? Or there is any other simple way to do it?

Thanks...

-Sunita
Alexandre Cervieri
Greenhorn

Joined: Aug 02, 2005
Posts: 27
Hello,

I installed JBoss 4.0.2 to practice coding servlets and JSPs, but I'm not sure if it has the implementation of correct servlet and JSP specifications.
I just started to read "SCWCD Study Guide, second edition", at least the first examples are working ok. In addition, it's very easy to deploy a WAR or EAR in JBoss even if you don't have a lot of experience (that is my case).
Regards,

Alexandre.
Cai DongShan
Ranch Hand

Joined: Dec 07, 2004
Posts: 102
I have done configuring with jakarta-tomcat-5.5.9 and j2sdk1.4.0 but getting error.

Can I use jakarta-tomcat-5.5.9 and j2sdk1.4.0? Or there is any other simple way to do it?


You should install J2SE version 1.5.x for tomcat 5.5.9, or J2SE ver 1.4.x for tomcat 5.0.x.


Best Regards,<br />DongShan<br /> <br />SCJP1.4, SCWCD1.4
Sunita B B
Greenhorn

Joined: Aug 05, 2005
Posts: 7
Thanks Dongshan ,Alexandre Cervieri

I have installed jdk1.5.0_04 and jakarta-tomcat-5.5.9.

But now while starting startup.bat i am getting following error.Can some some guide me. How to overcome from this ?

Error is "Windows cannot find '-Djava.util.logging.manager=org.apache.juli.ClassLoaderLogManager' make sure you typed the name correctly and then try again. "
Sergey Tyulkin
Ranch Hand

Joined: May 10, 2005
Posts: 87
I think you are trying to run jboss without setting necessary environmental variables. Try to add java.exe to system PATH variable
 
With a little knowledge, a cast iron skillet is non-stick and lasts a lifetime.
 
subject: Tomact Configuration